# Cilium debug information

#### Cilium environment keys

```
k8s-api-server:
enable-policy:default
enable-hubble:true
bpf-neigh-global-max:524288
enable-node-port:false
identity-change-grace-period:5s
cluster-id:0
bpf-fragments-map-max:8192
enable-k8s-endpoint-slice:true
encrypt-interface:
tofqdns-enable-dns-compression:true
egress-masquerade-interfaces:
cluster-name:default
tofqdns-enable-poller:false
sockops-enable:false
enable-ipsec:false
tofqdns-enable-poller-events:true
keep-bpf-templates:false
disable-cnp-status-updates:false
agent-labels:
enable-bpf-clock-probe:true
ipv4-cluster-cidr-mask-size:8
bpf-ct-global-tcp-max:524288
kvstore-periodic-sync:5m0s
monitor-aggregation-interval:5s
tofqdns-proxy-response-max-delay:100ms
hubble-flow-buffer-size:4095
bpf-ct-timeout-regular-tcp:6h0m0s
skip-crd-creation:false
log-system-load:true
http-403-msg:
iptables-lock-timeout:5s
version:false
metrics:
clustermesh-config:/var/lib/cilium/clustermesh/
hubble-metrics:
bpf-ct-timeout-service-any:1m0s
annotate-k8s-node:true
exclude-local-address:
disable-envoy-version-check:false
lib-dir:/var/lib/cilium
bpf-compile-debug:false
install-iptables-rules:true
node-port-acceleration:none
ip-masq-agent-config-path:/etc/config/ip-masq-agent
single-cluster-route:false
ipv4-range:auto
http-retry-timeout:0
bpf-nat-global-max:524288
disable-conntrack:false
flannel-manage-existing-containers:false
disable-endpoint-crd:false
certificates-directory:/var/run/cilium/certs
ipv4-service-loopback-address:169.254.42.1
enable-bpf-masquerade:false
ipv6-pod-subnets:
masquerade:true
debug-verbose:
node-port-bind-protection:true
endpoint-status:
flannel-master-device:
bpf-ct-timeout-service-tcp:6h0m0s
http-max-grpc-timeout:0
nat46-range:0:0:0:0:0:FFFF::/96
enable-k8s-event-handover:false
enable-external-ips:true
kvstore:
prefilter-mode:native
read-cni-conf:
tofqdns-endpoint-max-ip-per-hostname:50
http-request-timeout:3600
ipv4-pod-subnets:
wait-bpf-mount:false
enable-endpoint-health-checking:true
force-local-policy-eval-at-source:true
node-port-mode:snat
hubble-metrics-server:
enable-xt-socket-fallback:true
kvstore-connectivity-timeout:2m0s
enable-tracing:false
operator-api-serve-addr:127.0.0.1:9234
ipv6-cluster-alloc-cidr:f00d::/64
cluster-pool-ipv6-mask-size:120
ipv6-range:auto
tofqdns-pre-cache:
monitor-aggregation:medium
tofqdns-max-deferred-connection-deletes:10000
preallocate-bpf-maps:true
monitor-aggregation-flags:all
bpf-map-dynamic-size-ratio:0.03
bpf-ct-timeout-regular-tcp-fin:10s
prefilter-device:undefined
cni-chaining-mode:portmap
tofqdns-proxy-port:0
datapath-mode:veth
k8s-watcher-queue-size:1024
socket-path:/var/run/cilium/cilium.sock
kvstore-lease-ttl:15m0s
auto-direct-node-routes:false
hubble-listen-address::4244
enable-health-checking:true
ipam:cluster-pool
ipv6-node:auto
bpf-root:
label-prefix-file:
log-opt:map[]
kvstore-opt:map[]
policy-trigger-interval:1s
bpf-ct-timeout-regular-any:1m0s
flannel-uninstall-on-exit:false
host-reachable-services-protos:
agent-health-port:9876
k8s-namespace:kube-system
enable-host-reachable-services:false
enable-selective-regeneration:true
synchronize-k8s-nodes:true
write-cni-conf-when-ready:
enable-auto-protect-node-port-range:true
enable-ipv6:true
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
disable-k8s-services:false
allow-icmp-frag-needed:true
pprof:true
identity-allocation-mode:crd
k8s-force-json-patch:false
enable-remote-node-identity:true
labels:
enable-l7-proxy:true
http-retry-count:3
policy-queue-size:100
node-port-range:
monitor-queue-size:0
ipvlan-master-device:undefined
disable-iptables-feeder-rules:
enable-ipv4:true
cluster-pool-ipv6-cidr:fd00::/104
restore:true
blacklist-conflicting-routes:true
bpf-ct-global-any-max:262144
prometheus-serve-addr:
enable-ip-masq-agent:false
kube-proxy-replacement:probe
endpoint-queue-size:25
bpf-ct-timeout-regular-tcp-syn:1m0s
enable-well-known-identities:false
http-idle-timeout:0
ipv6-service-range:auto
enable-host-firewall:false
encrypt-node:false
log-driver:
debug:true
cgroup-root:
enable-endpoint-routes:false
tofqdns-dns-reject-response-code:refused
enable-local-node-route:true
envoy-log:
enable-host-port:true
keep-config:false
ipv4-node:auto
k8s-heartbeat-timeout:30s
k8s-require-ipv4-pod-cidr:true
k8s-service-cache-size:128
enable-ipv4-fragment-tracking:true
cluster-pool-ipv4-cidr:10.0.0.0/8
prepend-iptables-chains:true
auto-create-cilium-node-resource:true
hubble-event-queue-size:0
state-dir:/var/run/cilium
ipv4-service-range:auto
trace-payloadlen:128
hubble-socket-path:/var/run/cilium/hubble.sock
endpoint-interface-name-prefix:lxc+
tunnel:vxlan
conntrack-gc-interval:0s
bpf-policy-map-max:16384
sidecar-istio-proxy-image:cilium/istio_proxy
max-controller-interval:0
config-dir:/tmp/cilium/config-map
device:
disable-ipv4:false
config:
k8s-require-ipv6-pod-cidr:true
cluster-pool-ipv4-mask-size:24
k8s-kubeconfig-path:
cmdref:
mtu:0
enable-session-affinity:false
policy-audit-mode:false
tofqdns-min-ttl:0
enable-k8s-api-discovery:false
fixed-identity-mapping:map[]
allow-localhost:auto
ipsec-key-file:
ip-allocation-timeout:2m0s
proxy-connect-timeout:1
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                       IPv6        IPv4          STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                              
61         Disabled           Disabled          1          reserved:host                                                               ready   
79         Disabled           Disabled          32800      k8s:io.cilium.k8s.policy.cluster=default          fd00::148   10.10.1.52    ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=pod-to-a                                                                   
117        Disabled           Disabled          4          reserved:health                                   fd00::1b6   10.10.1.23    ready   
153        Disabled           Disabled          2384       k8s:io.cilium.k8s.policy.cluster=default          fd00::13e   10.10.1.189   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=pod-to-b-intra-node-nodeport                                               
204        Disabled           Disabled          61114      k8s:io.cilium.k8s.policy.cluster=default          fd00::11b   10.10.1.111   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=coredns                                     
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                         
                                                           k8s:k8s-app=kube-dns                                                                
261        Disabled           Enabled           58440      k8s:io.cilium.k8s.policy.cluster=default          fd00::164   10.10.1.108   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=pod-to-external-fqdn-allow-google-cnp                                      
1329       Disabled           Disabled          53867      k8s:io.cilium.k8s.policy.cluster=default          fd00::1e2   10.10.1.77    ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=pod-to-b-intra-node-hostport                                               
1376       Disabled           Disabled          48399      k8s:io.cilium.k8s.policy.cluster=default          fd00::1f7   10.10.1.102   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=echo-a                                                                     
1841       Disabled           Disabled          2024       k8s:io.cilium.k8s.policy.cluster=default          fd00::1d6   10.10.1.45    ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=pod-to-a-external-1111                                                     
2279       Disabled           Disabled          17177      k8s:io.cilium.k8s.policy.cluster=default          fd00::104   10.10.1.129   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=pod-to-b-intra-node                                                        
2599       Disabled           Disabled          7352       k8s:io.cilium.k8s.policy.cluster=default          fd00::1d2   10.10.1.248   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=echo-b                                                                     
3274       Disabled           Enabled           18331      k8s:io.cilium.k8s.policy.cluster=default          fd00::12b   10.10.1.35    ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=pod-to-a-allowed-cnp                                                       
3740       Disabled           Enabled           17354      k8s:io.cilium.k8s.policy.cluster=default          fd00::1b2   10.10.1.141   ready   
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                     
                                                           k8s:io.kubernetes.pod.namespace=default                                             
                                                           k8s:name=pod-to-a-l3-denied-cnp                                                     
```

#### BPF Policy Get 61

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         0       0         
Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 61

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00061: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00061: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00061: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00061: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00061: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00061: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00061: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00061: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 61

```
[
  {
    "id": 61,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-61-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "b8c4bb22-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-61",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 12
          },
          "uuid": "b90ce433-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (61)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:49.136Z",
            "success-count": 27
          },
          "uuid": "b8c4c462-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host"
        ],
        "labelsSHA256": "e4faf1094f0345379a564e072a74e9c130c4c628b585b75f6be16dbcfd8d1b49"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "ea:05:8f:4b:ca:4f",
        "interface-name": "cilium_host"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 61

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 61

```
Timestamp              Status   State                   Message
2020-06-02T21:27:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK       regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:46Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:29Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2020-06-02T21:26:29Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:29Z   OK       regenerating            Regenerating endpoint: syncing state to host
2020-06-02T21:26:29Z   OK       restoring               Synchronizing endpoint labels with KVStore
2020-06-02T21:26:26Z   OK       restoring               Restoring endpoint from previous cilium instance
2020-06-02T21:26:26Z   OK       restoring               Endpoint restoring

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 79

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         73746   145       
Ingress     1          ANY          NONE         0       0         
Egress      0          ANY          NONE         15858   193       

```


#### BPF CT List 79

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00079: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00079: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00079: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00079: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00079: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00079: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00079: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00079: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 79

```
[
  {
    "id": 79,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-79-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c3ac2734-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-79",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:47.436Z",
            "success-count": 1
          },
          "uuid": "c3b35080-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-79",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 11
          },
          "uuid": "c3cc136f-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (79)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:48.281Z",
            "success-count": 25
          },
          "uuid": "c3ac2ae9-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "a5de095727e7b7f16acf4dcf14842aa414fac60d33badefb9b50d360d7db8389",
        "k8s-namespace": "default",
        "k8s-pod-name": "pod-to-a-5c8dcf69f7-dq8f6",
        "pod-name": "default/pod-to-a-5c8dcf69f7-dq8f6"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 32800,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:name=pod-to-a",
          "k8s:io.kubernetes.pod.namespace=default"
        ],
        "labelsSHA256": "cd0575cc3a744c709e1cb00b32381f4a65b7a1a6b4ca6feb7310fd7633354c83"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=5c8dcf69f7"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=pod-to-a"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.52",
            "ipv6": "fd00::148"
          }
        ],
        "host-mac": "a6:48:70:e1:30:d5",
        "interface-index": 267,
        "interface-name": "lxcc9d70b6d8da9",
        "mac": "26:0c:24:aa:18:77"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 32800,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 32800,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 79

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 79

```
Timestamp              Status   State                   Message
2020-06-02T21:27:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK       regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:47Z   OK       ready                   Set identity for this endpoint
2020-06-02T21:26:47Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 32800

```
ID      LABELS
32800   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:name=pod-to-a

```


#### BPF Policy Get 117

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         6760    75        
Ingress     1          ANY          NONE         7598    82        
Egress      0          ANY          NONE         11436   128       

```


#### BPF CT List 117

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00117: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00117: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00117: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00117: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00117: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00117: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00117: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00117: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 117

```
[
  {
    "id": 117,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-117-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "b974c20b-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-117",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:30.249Z",
            "success-count": 1
          },
          "uuid": "b974e574-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-117",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 12
          },
          "uuid": "b989c6d1-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (117)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:50.282Z",
            "success-count": 27
          },
          "uuid": "b974c64f-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ],
        "labelsSHA256": "9f122da90704e5177f344e0582800e43b05842f9f6b1812cf4690aade0915275"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.23",
            "ipv6": "fd00::1b6"
          }
        ],
        "host-mac": "f2:4a:c6:3b:d4:10",
        "interface-index": 257,
        "interface-name": "lxc_health",
        "mac": "2a:72:c7:58:96:49"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 117

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 117

```
Timestamp              Status   State                   Message
2020-06-02T21:27:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK       regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:46Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:30Z   OK       regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:30Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:30Z   OK       ready                   Set identity for this endpoint
2020-06-02T21:26:29Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 153

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Ingress     0          ANY          NONE         143284   278       
Ingress     1          ANY          NONE         0        0         
Egress      0          ANY          NONE         32608    370       

```


#### BPF CT List 153

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00153: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00153: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00153: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00153: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00153: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00153: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00153: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00153: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 153

```
[
  {
    "id": 153,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-153-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c3ed287c-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-153",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:50.035Z",
            "success-count": 1
          },
          "uuid": "c53ff0a3-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-153",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 8
          },
          "uuid": "c54d0248-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (153)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:49.507Z",
            "success-count": 25
          },
          "uuid": "c3ed2ae2-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "e5ee44330714786ef77db3ba29dbd626005be0b4e623eab49ebdcd971c3cb3f5",
        "k8s-namespace": "default",
        "k8s-pod-name": "pod-to-b-intra-node-nodeport-775f967f47-944kh",
        "pod-name": "default/pod-to-b-intra-node-nodeport-775f967f47-944kh"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 2384,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:name=pod-to-b-intra-node-nodeport",
          "k8s:io.kubernetes.pod.namespace=default"
        ],
        "labelsSHA256": "a718142f29e28f08498e07d45264c4f4c75507989458ac538960a20a2ebf7798"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=775f967f47"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=pod-to-b-intra-node-nodeport"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.189",
            "ipv6": "fd00::13e"
          }
        ],
        "host-mac": "2e:bf:b2:56:f5:09",
        "interface-index": 273,
        "interface-name": "lxc427eb070756e",
        "mac": "6a:4c:62:c1:aa:8e"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 2384,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 2384,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 153

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 153

```
Timestamp              Status    State                   Message
2020-06-02T21:27:06Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK        regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:50Z   OK        ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:50Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:50Z   OK        ready                   Set identity for this endpoint
2020-06-02T21:26:49Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 2384

```
ID     LABELS
2384   k8s:io.cilium.k8s.policy.cluster=default
       k8s:io.cilium.k8s.policy.serviceaccount=default
       k8s:io.kubernetes.pod.namespace=default
       k8s:name=pod-to-b-intra-node-nodeport

```


#### BPF Policy Get 204

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Ingress     0          ANY          NONE         218219   995       
Ingress     1          ANY          NONE         59828    674       
Egress      0          ANY          NONE         213648   1568      

```


#### BPF CT List 204

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00204: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00204: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00204: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00204: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00204: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00204: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00204: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00204: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 204

```
[
  {
    "id": 204,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-204-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "b8c4adbc-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-204",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 12
          },
          "uuid": "b9848331-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (204)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:49.136Z",
            "success-count": 27
          },
          "uuid": "b8c4b728-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "73f1ed8896420e1c2e456ddb9715f39a57e4b02176dbba7bc6bc5ffe573f5b6c",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "coredns-767d4c6dd7-2s95g",
        "pod-name": "kube-system/coredns-767d4c6dd7-2s95g"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 61114,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ],
        "labelsSHA256": "5e25749f7f2533a529bc35005eec80b7414a0652495193bb409b9e00291ffd52"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=767d4c6dd7"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=coredns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 9153,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.111",
            "ipv6": "fd00::11b"
          }
        ],
        "host-mac": "ce:da:f4:b5:4a:69",
        "interface-index": 195,
        "interface-name": "lxc1c7982e84e80",
        "mac": "7e:3f:e2:5d:f0:85"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 61114,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 61114,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 204

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 204

```
Timestamp              Status   State                   Message
2020-06-02T21:27:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK       regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:46Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:30Z   OK       ready                   Successfully regenerated endpoint program (Reason: syncing state to host)
2020-06-02T21:26:30Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:29Z   OK       regenerating            Regenerating endpoint: syncing state to host
2020-06-02T21:26:29Z   OK       restoring               Synchronizing endpoint labels with KVStore
2020-06-02T21:26:26Z   OK       restoring               Restoring endpoint from previous cilium instance
2020-06-02T21:26:26Z   OK       restoring               Endpoint restoring

```


#### Identity get 61114

```
ID      LABELS
61114   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=coredns
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns

```


#### BPF Policy Get 261

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Ingress     0          ANY          NONE         683616   742       
Ingress     1          ANY          NONE         0        0         
Egress      61114      53/UDP       34375        33276    376       
Egress      61114      53/TCP       34375        0        0         
Egress      16777217   ANY          NONE         0        0         
Egress      16777218   ANY          NONE         26908    413       

```


#### BPF CT List 261

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00261: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00261: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00261: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00261: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00261: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00261: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00261: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00261: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 261

```
[
  {
    "id": 261,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-261-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c488eb55-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-261",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:50.835Z",
            "success-count": 1
          },
          "uuid": "c5b9fbf0-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-261",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 8
          },
          "uuid": "c5c8c06e-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (261)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:50.453Z",
            "success-count": 25
          },
          "uuid": "c488f290-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "9a5010e359780df92208eed3621085e16c6a40d1023f19576a039acc4a5ebf52",
        "k8s-namespace": "default",
        "k8s-pod-name": "pod-to-external-fqdn-allow-google-cnp-6dd57bc859-drrp8",
        "pod-name": "default/pod-to-external-fqdn-allow-google-cnp-6dd57bc859-drrp8"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 58440,
        "labels": [
          "k8s:name=pod-to-external-fqdn-allow-google-cnp",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default"
        ],
        "labelsSHA256": "109fcceeda11939d236be9fe63e1682574f6db228c3e2f9822f36cb87d564cbf"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=6dd57bc859"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=pod-to-external-fqdn-allow-google-cnp"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.108",
            "ipv6": "fd00::164"
          }
        ],
        "host-mac": "56:bf:c6:38:f1:84",
        "interface-index": 277,
        "interface-name": "lxc38388df61514",
        "mac": "4a:b3:df:e4:44:75"
      },
      "policy": {
        "proxy-statistics": [
          {
            "allocated-proxy-port": 34375,
            "location": "egress",
            "port": 53,
            "protocol": "dns",
            "statistics": {
              "requests": {},
              "responses": {}
            }
          },
          {
            "allocated-proxy-port": 34375,
            "location": "egress",
            "port": 53,
            "protocol": "dns",
            "statistics": {
              "requests": {
                "forwarded": 376,
                "received": 376
              },
              "responses": {
                "forwarded": 376,
                "received": 376
              }
            }
          },
          {
            "allocated-proxy-port": 34375,
            "location": "egress",
            "port": 5353,
            "protocol": "dns",
            "statistics": {
              "requests": {},
              "responses": {}
            }
          }
        ],
        "realized": {
          "allowed-egress-identities": [
            16777217,
            16777218
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 58440,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-external-fqdn-allow-google-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=b495eccc-cacc-439d-983e-8d5dad62352d"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: kube-system,k8s.k8s-app: kube-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": {
                  "dns": [
                    {
                      "matchPattern": "*"
                    }
                  ]
                }
              }
            ],
            "port": 53,
            "protocol": "TCP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-external-fqdn-allow-google-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=b495eccc-cacc-439d-983e-8d5dad62352d"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: kube-system,k8s.k8s-app: kube-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": {
                  "dns": [
                    {
                      "matchPattern": "*"
                    }
                  ]
                }
              }
            ],
            "port": 53,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-external-fqdn-allow-google-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=b495eccc-cacc-439d-983e-8d5dad62352d"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.dns.operator.openshift.io/daemonset-dns: default,k8s.io.kubernetes.pod.namespace: openshift-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": {
                  "dns": [
                    {
                      "matchPattern": "*"
                    }
                  ]
                }
              }
            ],
            "port": 5353,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-external-fqdn-allow-google-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=b495eccc-cacc-439d-983e-8d5dad62352d"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.none: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "MatchName: , MatchPattern: *.google.com": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "egress",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            16777217,
            16777218
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 58440,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-external-fqdn-allow-google-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=b495eccc-cacc-439d-983e-8d5dad62352d"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: kube-system,k8s.k8s-app: kube-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": {
                  "dns": [
                    {
                      "matchPattern": "*"
                    }
                  ]
                }
              }
            ],
            "port": 53,
            "protocol": "TCP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-external-fqdn-allow-google-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=b495eccc-cacc-439d-983e-8d5dad62352d"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: kube-system,k8s.k8s-app: kube-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": {
                  "dns": [
                    {
                      "matchPattern": "*"
                    }
                  ]
                }
              }
            ],
            "port": 53,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-external-fqdn-allow-google-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=b495eccc-cacc-439d-983e-8d5dad62352d"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.dns.operator.openshift.io/daemonset-dns: default,k8s.io.kubernetes.pod.namespace: openshift-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": {
                  "dns": [
                    {
                      "matchPattern": "*"
                    }
                  ]
                }
              }
            ],
            "port": 5353,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-external-fqdn-allow-google-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=b495eccc-cacc-439d-983e-8d5dad62352d"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.none: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              },
              {
                "MatchName: , MatchPattern: *.google.com": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "egress",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 261

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 261

```
Timestamp              Status    State                   Message
2020-06-02T21:27:06Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK        regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:50Z   OK        ready                   Set identity for this endpoint
2020-06-02T21:26:49Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 58440

```
ID      LABELS
58440   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:name=pod-to-external-fqdn-allow-google-cnp

```


#### BPF Policy Get 1329

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Ingress     0          ANY          NONE         146146   293       
Ingress     1          ANY          NONE         0        0         
Egress      0          ANY          NONE         34054    385       

```


#### BPF CT List 1329

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01329: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01329: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01329: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01329: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01329: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01329: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01329: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01329: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1329

```
[
  {
    "id": 1329,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1329-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c3c6de69-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1329",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:48.036Z",
            "success-count": 1
          },
          "uuid": "c40edafa-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1329",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 10
          },
          "uuid": "c42e2d3d-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1329)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:48.930Z",
            "success-count": 25
          },
          "uuid": "c3c6e377-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "12b1486f4f574966ed36e7a5f37fbff1fd112bf7b1a60280857804ccc9499580",
        "k8s-namespace": "default",
        "k8s-pod-name": "pod-to-b-intra-node-hostport-65554558b9-9lpxv",
        "pod-name": "default/pod-to-b-intra-node-hostport-65554558b9-9lpxv"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 53867,
        "labels": [
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:name=pod-to-b-intra-node-hostport",
          "k8s:io.kubernetes.pod.namespace=default"
        ],
        "labelsSHA256": "7886841ee653a66286a1e06f36d89cab126a08b5ca0e6da48eca7b66253ac78d"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=65554558b9"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=pod-to-b-intra-node-hostport"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.77",
            "ipv6": "fd00::1e2"
          }
        ],
        "host-mac": "6e:ac:5e:78:f4:65",
        "interface-index": 269,
        "interface-name": "lxc01f3c13bc719",
        "mac": "12:3e:f6:f5:bc:41"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 53867,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 53867,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1329

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1329

```
Timestamp              Status    State                   Message
2020-06-02T21:27:06Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK        regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK        ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:48Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK        regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:48Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:48Z   OK        ready                   Set identity for this endpoint
2020-06-02T21:26:47Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 53867

```
ID      LABELS
53867   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:name=pod-to-b-intra-node-hostport

```


#### BPF Policy Get 1376

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Ingress     0          ANY          NONE         34326    435       
Ingress     1          ANY          NONE         0        0         
Egress      0          ANY          NONE         197838   291       

```


#### BPF CT List 1376

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01376: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01376: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01376: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01376: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01376: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01376: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01376: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01376: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1376

```
[
  {
    "id": 1376,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1376-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c356d784-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1376",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:46.840Z",
            "success-count": 1
          },
          "uuid": "c358664a-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1376",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 11
          },
          "uuid": "c36b115a-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1376)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:56.883Z",
            "success-count": 26
          },
          "uuid": "c356d9a8-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "040f27b4df4ff7b69f5555df90d9bcfff80691b084d0c143d63bef7b43190730",
        "k8s-namespace": "default",
        "k8s-pod-name": "echo-a-58dd59998d-w692r",
        "pod-name": "default/echo-a-58dd59998d-w692r"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 48399,
        "labels": [
          "k8s:name=echo-a",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default"
        ],
        "labelsSHA256": "36559f13678e41688ea911f43878adcf6cafb4bf0cdc478063ff6d8120cadce3"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=58dd59998d"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=echo-a"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.102",
            "ipv6": "fd00::1f7"
          }
        ],
        "host-mac": "c2:c9:0f:15:4e:28",
        "interface-index": 259,
        "interface-name": "lxc08c16c2f7109",
        "mac": "82:9c:b9:1f:76:3a"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 48399,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 48399,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1376

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1376

```
Timestamp              Status    State                   Message
2020-06-02T21:27:06Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK        regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:47Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:47Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:46Z   OK        ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:46Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:46Z   OK        regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:46Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:46Z   OK        ready                   Set identity for this endpoint
2020-06-02T21:26:46Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:46Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 48399

```
ID      LABELS
48399   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:name=echo-a

```


#### BPF Policy Get 1841

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         41663   238       
Ingress     1          ANY          NONE         0       0         
Egress      0          ANY          NONE         19667   285       

```


#### BPF CT List 1841

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01841: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01841: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01841: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01841: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01841: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01841: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01841: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01841: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1841

```
[
  {
    "id": 1841,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1841-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c4768e08-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1841",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:50.635Z",
            "success-count": 1
          },
          "uuid": "c59b8fca-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1841",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 8
          },
          "uuid": "c5a7f911-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1841)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:50.282Z",
            "success-count": 25
          },
          "uuid": "c4768f54-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "13c7081cc9a7618b3a9a48a51a527151761458291ba347f8240a25e12e8e0d9e",
        "k8s-namespace": "default",
        "k8s-pod-name": "pod-to-a-external-1111-669ccfb85f-6v5c9",
        "pod-name": "default/pod-to-a-external-1111-669ccfb85f-6v5c9"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 2024,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:name=pod-to-a-external-1111",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default"
        ],
        "labelsSHA256": "3be9a4e8dae43a1941929d6a0d23f3227b05c638ed5b5a7814867d935b2d1c2a"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=669ccfb85f"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=pod-to-a-external-1111"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.45",
            "ipv6": "fd00::1d6"
          }
        ],
        "host-mac": "e6:18:a9:c1:c5:25",
        "interface-index": 275,
        "interface-name": "lxcb4e2bc3730d8",
        "mac": "02:2a:55:84:3d:08"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 2024,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 2024,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1841

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1841

```
Timestamp              Status    State                   Message
2020-06-02T21:27:06Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK        regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:50Z   OK        ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:50Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:50Z   OK        ready                   Set identity for this endpoint
2020-06-02T21:26:49Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 2024

```
ID     LABELS
2024   k8s:io.cilium.k8s.policy.cluster=default
       k8s:io.cilium.k8s.policy.serviceaccount=default
       k8s:io.kubernetes.pod.namespace=default
       k8s:name=pod-to-a-external-1111

```


#### BPF Policy Get 2279

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         73680   144       
Ingress     1          ANY          NONE         0       0         
Egress      0          ANY          NONE         15792   192       

```


#### BPF CT List 2279

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02279: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02279: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02279: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02279: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02279: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02279: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02279: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02279: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2279

```
[
  {
    "id": 2279,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2279-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c3dbec29-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2279",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:49.038Z",
            "success-count": 1
          },
          "uuid": "c4a7e1ea-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2279",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 9
          },
          "uuid": "c4b42abd-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2279)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:49.288Z",
            "success-count": 25
          },
          "uuid": "c3dbee93-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "12a67f3c489b7965ee902b7c06c882d325cac3305f1de8dc8096ae543fd21a66",
        "k8s-namespace": "default",
        "k8s-pod-name": "pod-to-b-intra-node-74997967f8-h7bmw",
        "pod-name": "default/pod-to-b-intra-node-74997967f8-h7bmw"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 17177,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:name=pod-to-b-intra-node"
        ],
        "labelsSHA256": "a565453f1825f3fab46e2dd57c91847738edd117750fafb48ba5bdf0e97c5a06"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=74997967f8"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=pod-to-b-intra-node"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.129",
            "ipv6": "fd00::104"
          }
        ],
        "host-mac": "ea:93:f2:46:4c:b6",
        "interface-index": 271,
        "interface-name": "lxcf045781f9e9e",
        "mac": "ea:1a:b5:82:ab:26"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 17177,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 17177,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2279

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2279

```
Timestamp              Status    State                   Message
2020-06-02T21:27:06Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK        ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK        regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK        ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK        regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK        ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:49Z   OK        ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK        regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:49Z   OK        waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:49Z   OK        ready                   Set identity for this endpoint
2020-06-02T21:26:48Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   Warning   waiting-for-identity    Skipped invalid state transition to waiting-to-regenerate due to: Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK        waiting-for-identity    Endpoint creation

```


#### Identity get 17177

```
ID      LABELS
17177   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:name=pod-to-b-intra-node

```


#### BPF Policy Get 2599

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Ingress     0          ANY          NONE         80122    989       
Ingress     1          ANY          NONE         0        0         
Egress      0          ANY          NONE         450510   661       

```


#### BPF CT List 2599

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02599: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02599: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02599: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02599: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02599: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02599: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02599: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02599: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2599

```
[
  {
    "id": 2599,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2599-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c375e037-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2599",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:47.040Z",
            "success-count": 1
          },
          "uuid": "c376f4cf-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2599",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 11
          },
          "uuid": "c395b80d-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2599)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:57.104Z",
            "success-count": 26
          },
          "uuid": "c375e1d5-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "15c7f7a829380025574f7ac24d2c6d19663e5aab988ce154601e910a5fe775d5",
        "k8s-namespace": "default",
        "k8s-pod-name": "echo-b-865969889d-tpfb5",
        "pod-name": "default/echo-b-865969889d-tpfb5"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 7352,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:name=echo-b"
        ],
        "labelsSHA256": "34984164fc58d82d68f91452be971a1a974d8fa20541b5a59a8e8dc2376a435a"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=865969889d"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=echo-b"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.248",
            "ipv6": "fd00::1d2"
          }
        ],
        "host-mac": "aa:23:70:c5:a2:dc",
        "interface-index": 261,
        "interface-name": "lxc08adf3c4bc46",
        "mac": "66:90:fa:d1:bd:d0"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 7352,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 7352,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2599

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2599

```
Timestamp              Status   State                   Message
2020-06-02T21:27:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK       regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:47Z   OK       ready                   Set identity for this endpoint
2020-06-02T21:26:47Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 7352

```
ID     LABELS
7352   k8s:io.cilium.k8s.policy.cluster=default
       k8s:io.cilium.k8s.policy.serviceaccount=default
       k8s:io.kubernetes.pod.namespace=default
       k8s:name=echo-b

```


#### BPF Policy Get 3274

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Ingress     0          ANY          NONE         147492   290       
Ingress     1          ANY          NONE         0        0         
Egress      48399      80/TCP       NONE         22884    290       
Egress      61114      53/UDP       NONE         8832     96        

```


#### BPF CT List 3274

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_03274: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_03274: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_03274: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_03274: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_03274: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_03274: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_03274: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_03274: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 3274

```
[
  {
    "id": 3274,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3274-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c391398f-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-3274",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:47.224Z",
            "success-count": 1
          },
          "uuid": "c392f130-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3274",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 11
          },
          "uuid": "c3c55740-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3274)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:57.307Z",
            "success-count": 26
          },
          "uuid": "c3913ae7-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "ac6acea2efac925e735ff55df4391902aec5991f2ffb010350e59110f664141e",
        "k8s-namespace": "default",
        "k8s-pod-name": "pod-to-a-allowed-cnp-75684d58cc-rmzch",
        "pod-name": "default/pod-to-a-allowed-cnp-75684d58cc-rmzch"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 18331,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:name=pod-to-a-allowed-cnp"
        ],
        "labelsSHA256": "5f0392a09e8293fbc6a6590b21b70b6e69c2986e720631d8b2e29442b9b89eed"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=75684d58cc"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=pod-to-a-allowed-cnp"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.35",
            "ipv6": "fd00::12b"
          }
        ],
        "host-mac": "f2:d3:cb:f8:ea:51",
        "interface-index": 265,
        "interface-name": "lxc7ba892cbc919",
        "mac": "7a:b6:67:16:3b:7b"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 18331,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-allowed-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=ce516525-ef21-4617-aa41-f5a3b7a1717c"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: kube-system,k8s.k8s-app: kube-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 53,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-allowed-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=ce516525-ef21-4617-aa41-f5a3b7a1717c"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.dns.operator.openshift.io/daemonset-dns: default,k8s.io.kubernetes.pod.namespace: openshift-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 5353,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-allowed-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=ce516525-ef21-4617-aa41-f5a3b7a1717c"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{any.name: echo-a,k8s.io.kubernetes.pod.namespace: default,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 80,
            "protocol": "TCP"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "egress",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 18331,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-allowed-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=ce516525-ef21-4617-aa41-f5a3b7a1717c"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{any.name: echo-a,k8s.io.kubernetes.pod.namespace: default,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 80,
            "protocol": "TCP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-allowed-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=ce516525-ef21-4617-aa41-f5a3b7a1717c"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: kube-system,k8s.k8s-app: kube-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 53,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-allowed-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=ce516525-ef21-4617-aa41-f5a3b7a1717c"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.dns.operator.openshift.io/daemonset-dns: default,k8s.io.kubernetes.pod.namespace: openshift-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 5353,
            "protocol": "UDP"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "egress",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3274

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3274

```
Timestamp              Status   State                   Message
2020-06-02T21:27:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK       regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:47Z   OK       ready                   Set identity for this endpoint
2020-06-02T21:26:47Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 18331

```
ID      LABELS
18331   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:name=pod-to-a-allowed-cnp

```


#### BPF Policy Get 3740

```
DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Ingress     0          ANY          NONE         15600   96        
Ingress     1          ANY          NONE         0       0         
Egress      61114      53/UDP       NONE         8832    96        

```


#### BPF CT List 3740

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_03740: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_03740: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_03740: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_03740: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_03740: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_03740: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_03740: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_03740: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 3740

```
[
  {
    "id": 3740,
    "spec": {
      "label-configuration": {},
      "options": {
        "Conntrack": "Enabled",
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Enabled",
        "DebugLB": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "NAT46": "Disabled",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3740-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "c3822f73-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-3740",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:26:47.170Z",
            "success-count": 1
          },
          "uuid": "c38ad2b4-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3740",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:06.981Z",
            "success-count": 11
          },
          "uuid": "c3b08d48-a517-11ea-abbb-08002731e852"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3740)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2020-06-02T21:30:57.235Z",
            "success-count": 26
          },
          "uuid": "c3823112-a517-11ea-abbb-08002731e852"
        }
      ],
      "external-identifiers": {
        "container-id": "1c8d4da0d16559e2fd475d36c3c93b5b537d88673a96c7b9fdfa5cc67b19f9ad",
        "k8s-namespace": "default",
        "k8s-pod-name": "pod-to-a-l3-denied-cnp-7b8bfcb66c-vw47c",
        "pod-name": "default/pod-to-a-l3-denied-cnp-7b8bfcb66c-vw47c"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 17354,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:name=pod-to-a-l3-denied-cnp"
        ],
        "labelsSHA256": "f512dd535c2494eab56463728d91bd54f244dd7f0101e927368f7135bc8a13f1"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=7b8bfcb66c"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:name=pod-to-a-l3-denied-cnp"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2020-06-02T21:27:06Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.10.1.141",
            "ipv6": "fd00::1b2"
          }
        ],
        "host-mac": "86:09:cc:14:92:08",
        "interface-index": 263,
        "interface-name": "lxc29bc7bd197f6",
        "mac": "4e:9f:00:89:e4:3a"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 17354,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-l3-denied-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=1c7d88cf-c640-458b-8562-c42fc4e9ad09"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: kube-system,k8s.k8s-app: kube-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 53,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-l3-denied-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=1c7d88cf-c640-458b-8562-c42fc4e9ad09"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.dns.operator.openshift.io/daemonset-dns: default,k8s.io.kubernetes.pod.namespace: openshift-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 5353,
            "protocol": "UDP"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "egress",
          "policy-revision": 6
        },
        "spec": {
          "allowed-egress-identities": [],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 6,
          "cidr-policy": {
            "egress": [],
            "ingress": []
          },
          "id": 17354,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-l3-denied-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=1c7d88cf-c640-458b-8562-c42fc4e9ad09"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.io.kubernetes.pod.namespace: kube-system,k8s.k8s-app: kube-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 53,
            "protocol": "UDP"
          }
              },
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=pod-to-a-l3-denied-cnp",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=1c7d88cf-c640-458b-8562-c42fc4e9ad09"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{k8s.dns.operator.openshift.io/daemonset-dns: default,k8s.io.kubernetes.pod.namespace: openshift-dns,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 5353,
            "protocol": "UDP"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "egress",
          "policy-revision": 6
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "Conntrack": "Enabled",
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Enabled",
          "DebugLB": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "NAT46": "Disabled",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3740

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3740

```
Timestamp              Status   State                   Message
2020-06-02T21:27:06Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:06Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:06Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:27:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:27:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:27:05Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:27:05Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:51Z   OK       ready                   Successfully regenerated endpoint program (Reason: )
2020-06-02T21:26:51Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:51Z   OK       regenerating            Regenerating endpoint: 
2020-06-02T21:26:51Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to 
2020-06-02T21:26:50Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:50Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:50Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:50Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:49Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:49Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:49Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:48Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:48Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:48Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2020-06-02T21:26:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2020-06-02T21:26:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2020-06-02T21:26:47Z   OK       regenerating            Regenerating endpoint: updated security labels
2020-06-02T21:26:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2020-06-02T21:26:47Z   OK       ready                   Set identity for this endpoint
2020-06-02T21:26:47Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 17354

```
ID      LABELS
17354   k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:name=pod-to-a-l3-denied-cnp

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0001b6308)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc00092e540,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=8) {
  (k8s.ServiceID) cilium-monitoring/prometheus: (*k8s.Service)(0xc000a8ac40)(frontend:10.107.22.34/ports=[webui]/selector=map[app:prometheus]),
  (k8s.ServiceID) default/echo-a: (*k8s.Service)(0xc000a8bf80)(frontend:10.98.80.200/ports=[]/selector=map[name:echo-a]),
  (k8s.ServiceID) default/echo-b: (*k8s.Service)(0xc0003b9730)(frontend:10.98.11.208/ports=[]/selector=map[name:echo-b]),
  (k8s.ServiceID) default/echo-b-headless: (*k8s.Service)(0xc0003389a0)(frontend:<nil>/ports=[]/selector=map[name:echo-b]),
  (k8s.ServiceID) default/echo-b-host-headless: (*k8s.Service)(0xc000300310)(frontend:<nil>/ports=[]/selector=map[name:echo-b-host]),
  (k8s.ServiceID) cilium-monitoring/grafana: (*k8s.Service)(0xc000a8a9a0)(frontend:10.98.188.92/ports=[]/selector=map[app:grafana]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000a8aa80)(frontend:10.96.0.1/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000a8ab60)(frontend:10.96.0.10/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns])
 },
 endpoints: (map[k8s.ServiceID]*k8s.Endpoints) (len=8) {
  (k8s.ServiceID) default/echo-b: (*k8s.Endpoints)(0xc0017ce1c0)(10.10.1.248:80/TCP),
  (k8s.ServiceID) default/echo-b-headless: (*k8s.Endpoints)(0xc00012e9d8)(10.10.1.248:80/TCP),
  (k8s.ServiceID) default/echo-b-host-headless: (*k8s.Endpoints)(0xc00038dcc0)(),
  (k8s.ServiceID) default/kubernetes: (*k8s.Endpoints)(0xc00012e080)(192.168.36.11:6443/TCP),
  (k8s.ServiceID) cilium-monitoring/grafana: (*k8s.Endpoints)(0xc00012e090)(),
  (k8s.ServiceID) cilium-monitoring/prometheus: (*k8s.Endpoints)(0xc00012e0a0)(10.0.0.17:9090/TCP),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Endpoints)(0xc00012e0b0)(10.10.1.111:53/TCP,10.10.1.111:53/UDP,10.10.1.111:9153/TCP),
  (k8s.ServiceID) default/echo-a: (*k8s.Endpoints)(0xc0017ce2b0)(10.10.1.102:80/TCP)
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x4091ec0)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 })
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### Cilium version

```
1.8.90 b5900731f 2020-06-02T20:07:48+00:00 go version go1.14.3 linux/amd64
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.17 (v1.17.6) [linux/amd64]
Kubernetes APIs:        ["CustomResourceDefinition", "cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Namespace", "core/v1::Node", "core/v1::Pods", "core/v1::Service", "discovery/v1beta1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Probe   ()   [HostReachableServices (TCP, UDP)]
Cilium:                 Ok      OK
NodeMonitor:            Listening for events on 3 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 13/255 allocated from 10.10.1.0/24, IPv6: 13/255 allocated from fd00::100/120
Allocated addresses:
  10.10.1.102 (default/echo-a-58dd59998d-w692r)
  10.10.1.108 (default/pod-to-external-fqdn-allow-google-cnp-6dd57bc859-drrp8)
  10.10.1.111 (kube-system/coredns-767d4c6dd7-2s95g [restored])
  10.10.1.119 (router)
  10.10.1.129 (default/pod-to-b-intra-node-74997967f8-h7bmw)
  10.10.1.141 (default/pod-to-a-l3-denied-cnp-7b8bfcb66c-vw47c)
  10.10.1.189 (default/pod-to-b-intra-node-nodeport-775f967f47-944kh)
  10.10.1.23 (health)
  10.10.1.248 (default/echo-b-865969889d-tpfb5)
  10.10.1.35 (default/pod-to-a-allowed-cnp-75684d58cc-rmzch)
  10.10.1.45 (default/pod-to-a-external-1111-669ccfb85f-6v5c9)
  10.10.1.52 (default/pod-to-a-5c8dcf69f7-dq8f6)
  10.10.1.77 (default/pod-to-b-intra-node-hostport-65554558b9-9lpxv)
  fd00::104 (default/pod-to-b-intra-node-74997967f8-h7bmw)
  fd00::11b (kube-system/coredns-767d4c6dd7-2s95g [restored])
  fd00::12b (default/pod-to-a-allowed-cnp-75684d58cc-rmzch)
  fd00::13e (default/pod-to-b-intra-node-nodeport-775f967f47-944kh)
  fd00::148 (default/pod-to-a-5c8dcf69f7-dq8f6)
  fd00::164 (default/pod-to-external-fqdn-allow-google-cnp-6dd57bc859-drrp8)
  fd00::1b2 (default/pod-to-a-l3-denied-cnp-7b8bfcb66c-vw47c)
  fd00::1b6 (health)
  fd00::1d2 (default/echo-b-865969889d-tpfb5)
  fd00::1d6 (default/pod-to-a-external-1111-669ccfb85f-6v5c9)
  fd00::1df (router)
  fd00::1e2 (default/pod-to-b-intra-node-hostport-65554558b9-9lpxv)
  fd00::1f7 (default/echo-a-58dd59998d-w692r)
Controller Status:   62/62 healthy
  Name                                                                        Last success   Last error   Count   Message
  cilium-health-ep                                                            29s ago        never        0       no error   
  dns-garbage-collector-job                                                   30s ago        never        0       no error   
  endpoint-117-regeneration-recovery                                          never          never        0       no error   
  endpoint-1329-regeneration-recovery                                         never          never        0       no error   
  endpoint-1376-regeneration-recovery                                         never          never        0       no error   
  endpoint-153-regeneration-recovery                                          never          never        0       no error   
  endpoint-1841-regeneration-recovery                                         never          never        0       no error   
  endpoint-204-regeneration-recovery                                          never          never        0       no error   
  endpoint-2279-regeneration-recovery                                         never          never        0       no error   
  endpoint-2599-regeneration-recovery                                         never          never        0       no error   
  endpoint-261-regeneration-recovery                                          never          never        0       no error   
  endpoint-3274-regeneration-recovery                                         never          never        0       no error   
  endpoint-3740-regeneration-recovery                                         never          never        0       no error   
  endpoint-61-regeneration-recovery                                           never          never        0       no error   
  endpoint-79-regeneration-recovery                                           never          never        0       no error   
  k8s-heartbeat                                                               5s ago         never        0       no error   
  mark-k8s-node-as-available                                                  4m30s ago      never        0       no error   
  metricsmap-bpf-prom-sync                                                    5s ago         never        0       no error   
  resolve-identity-117                                                        4m29s ago      never        0       no error   
  resolve-identity-1329                                                       4m11s ago      never        0       no error   
  resolve-identity-1376                                                       4m12s ago      never        0       no error   
  resolve-identity-153                                                        4m9s ago       never        0       no error   
  resolve-identity-1841                                                       4m8s ago       never        0       no error   
  resolve-identity-2279                                                       4m10s ago      never        0       no error   
  resolve-identity-2599                                                       4m12s ago      never        0       no error   
  resolve-identity-261                                                        4m8s ago       never        0       no error   
  resolve-identity-3274                                                       4m12s ago      never        0       no error   
  resolve-identity-3740                                                       4m12s ago      never        0       no error   
  resolve-identity-79                                                         4m11s ago      never        0       no error   
  sync-cnp-policy-status (v2 default/pod-to-a-allowed-cnp)                    4m13s ago      never        0       no error   
  sync-cnp-policy-status (v2 default/pod-to-a-l3-denied-cnp)                  4m13s ago      never        0       no error   
  sync-cnp-policy-status (v2 default/pod-to-external-fqdn-allow-google-cnp)   4m13s ago      never        0       no error   
  sync-endpoints-and-host-ips                                                 30s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                                              4m30s ago      never        0       no error   
  sync-policymap-117                                                          52s ago        never        0       no error   
  sync-policymap-1329                                                         52s ago        never        0       no error   
  sync-policymap-1376                                                         52s ago        never        0       no error   
  sync-policymap-153                                                          52s ago        never        0       no error   
  sync-policymap-1841                                                         52s ago        never        0       no error   
  sync-policymap-204                                                          52s ago        never        0       no error   
  sync-policymap-2279                                                         52s ago        never        0       no error   
  sync-policymap-2599                                                         52s ago        never        0       no error   
  sync-policymap-261                                                          52s ago        never        0       no error   
  sync-policymap-3274                                                         52s ago        never        0       no error   
  sync-policymap-3740                                                         52s ago        never        0       no error   
  sync-policymap-61                                                           52s ago        never        0       no error   
  sync-policymap-79                                                           52s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (117)                                            9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1329)                                           10s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1376)                                           12s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (153)                                            9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1841)                                           9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (204)                                            10s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (2279)                                           10s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (2599)                                           12s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (261)                                            8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (3274)                                           12s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (3740)                                           12s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (61)                                             10s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (79)                                             11s ago        never        0       no error   
  template-dir-watcher                                                        never          never        0       no error   
  update-k8s-node-annotations                                                 4m32s ago      never        0       no error   
Proxy Status:   OK, ip 10.10.1.119, 3 redirects active on ports 10000-20000
  Protocol            Redirect              Proxy Port
  cilium-dns-egress   261:egress:TCP:53     34375
  cilium-dns-egress   261:egress:UDP:53     34375
  cilium-dns-egress   261:egress:UDP:5353   34375
Hubble:   Ok   Current/Max Flows: 4096/4096 (100.00%), Flows/s: 33.10   Metrics: Disabled
```

#### Policy get

```
:
 [
  {
    "endpointSelector": {
      "matchLabels": {
        "any:name": "pod-to-a-allowed-cnp",
        "k8s:io.kubernetes.pod.namespace": "default"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "any:name": "echo-a",
              "k8s:io.kubernetes.pod.namespace": "default"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "80",
                "protocol": "TCP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kube-system",
              "k8s:k8s-app": "kube-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:dns.operator.openshift.io/daemonset-dns": "default",
              "k8s:io.kubernetes.pod.namespace": "openshift-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "5353",
                "protocol": "UDP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "pod-to-a-allowed-cnp",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "default",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "ce516525-ef21-4617-aa41-f5a3b7a1717c",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "any:name": "pod-to-a-l3-denied-cnp",
        "k8s:io.kubernetes.pod.namespace": "default"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kube-system",
              "k8s:k8s-app": "kube-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "UDP"
              }
            ]
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:dns.operator.openshift.io/daemonset-dns": "default",
              "k8s:io.kubernetes.pod.namespace": "openshift-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "5353",
                "protocol": "UDP"
              }
            ]
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "pod-to-a-l3-denied-cnp",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "default",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "1c7d88cf-c640-458b-8562-c42fc4e9ad09",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "any:name": "pod-to-external-fqdn-allow-google-cnp",
        "k8s:io.kubernetes.pod.namespace": "default"
      }
    },
    "egress": [
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:io.kubernetes.pod.namespace": "kube-system",
              "k8s:k8s-app": "kube-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "53",
                "protocol": "ANY"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      },
      {
        "toEndpoints": [
          {
            "matchLabels": {
              "k8s:dns.operator.openshift.io/daemonset-dns": "default",
              "k8s:io.kubernetes.pod.namespace": "openshift-dns"
            }
          }
        ],
        "toPorts": [
          {
            "ports": [
              {
                "port": "5353",
                "protocol": "UDP"
              }
            ],
            "rules": {
              "dns": [
                {
                  "matchPattern": "*"
                }
              ]
            }
          }
        ]
      },
      {
        "toFQDNs": [
          {
            "matchPattern": "*.google.com"
          }
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "pod-to-external-fqdn-allow-google-cnp",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "default",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "b495eccc-cacc-439d-983e-8d5dad62352d",
        "source": "k8s"
      }
    ]
  }
]
Revision: 6

```


#### Cilium memory map


```
00400000-01daf000 r-xp 00000000 fd:00 2136637                            /usr/bin/cilium-agent
01daf000-03a7e000 r--p 019af000 fd:00 2136637                            /usr/bin/cilium-agent
03a7e000-03b27000 rw-p 0367e000 fd:00 2136637                            /usr/bin/cilium-agent
03b27000-0429b000 rw-p 00000000 00:00 0                                  [heap]
c000000000-c000400000 rw-p 00000000 00:00 0 
c000400000-c000600000 rw-p 00000000 00:00 0 
c000600000-c000c00000 rw-p 00000000 00:00 0 
c000c00000-c001000000 rw-p 00000000 00:00 0 
c001000000-c001600000 rw-p 00000000 00:00 0 
c001600000-c001800000 rw-p 00000000 00:00 0 
c001800000-c004000000 rw-p 00000000 00:00 0 
7fffd0f9a000-7fffd104a000 rw-p 00000000 00:00 0 
7fffd104a000-7fffd108b000 rw-s 00000000 00:0d 11764                      anon_inode:[perf_event]
7fffd108b000-7fffd10cc000 rw-s 00000000 00:0d 11764                      anon_inode:[perf_event]
7fffd10cc000-7fffd110d000 rw-s 00000000 00:0d 11764                      anon_inode:[perf_event]
7fffd110d000-7fffd110f000 rw-s 00000000 00:0d 11764                      anon_inode:[perf_event]
7fffd110f000-7fffd1111000 rw-s 00000000 00:0d 11764                      anon_inode:[perf_event]
7fffd1111000-7fffd1113000 rw-s 00000000 00:0d 11764                      anon_inode:[perf_event]
7fffd1113000-7fffd369a000 rw-p 00000000 00:00 0 
7fffd369a000-7fffe381a000 ---p 00000000 00:00 0 
7fffe381a000-7fffe381b000 rw-p 00000000 00:00 0 
7fffe381b000-7ffff56ca000 ---p 00000000 00:00 0 
7ffff56ca000-7ffff56cb000 rw-p 00000000 00:00 0 
7ffff56cb000-7ffff7aa0000 ---p 00000000 00:00 0 
7ffff7aa0000-7ffff7aa1000 rw-p 00000000 00:00 0 
7ffff7aa1000-7ffff7f1a000 ---p 00000000 00:00 0 
7ffff7f1a000-7ffff7f1b000 rw-p 00000000 00:00 0 
7ffff7f1b000-7ffff7f9a000 ---p 00000000 00:00 0 
7ffff7f9a000-7ffff7ffa000 rw-p 00000000 00:00 0 
7ffff7ffa000-7ffff7ffd000 r--p 00000000 00:00 0                          [vvar]
7ffff7ffd000-7ffff7fff000 r-xp 00000000 00:00 0                          [vdso]
7ffffffde000-7ffffffff000 rw-p 00000000 00:00 0                          [stack]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

```


#### Kernel version

```
4.19.57
```


#### Service list

```
ID   Frontend            Service Type   Backend                   
1    10.96.0.10:53       ClusterIP      1 => 10.10.1.111:53       
2    10.96.0.10:9153     ClusterIP      1 => 10.10.1.111:9153     
3    10.96.0.1:443       ClusterIP      1 => 192.168.36.11:6443   
4    10.98.188.92:3000   ClusterIP                                
5    10.107.22.34:9090   ClusterIP      1 => 10.0.0.17:9090       
6    10.98.80.200:80     ClusterIP      1 => 10.10.1.102:80       
7    10.98.11.208:80     ClusterIP      1 => 10.10.1.248:80       
```
